## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# No tests provided by upstream.
%bcond_with     tests

%global         srcname     azure-mgmt-sqlvirtualmachine

Name:           python-%{srcname}
Version:        1.0.0~b3
%global         pypi_version    1.0.0b3
Release:        %autorelease
Summary:        Microsoft Azure SQL Virtual Machine Management Client Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{pypi_version} zip}

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-aiohttp)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure SQL Virtual Machine Management Client Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{pypi_version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGELOG.md


%changelog
* Tue Jul 05 2022 Major Hayden <major@redhat.com> 1.0.0~b3-1
- Update to 1.0.0b3

* Tue Jun 28 2022 Major Hayden <major@redhat.com> 1.0.0~b2-3
- Add import check

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> 1.0.0~b2-2
- Rebuilt for Python 3.11

* Thu Apr 07 2022 Major Hayden <major@mhtx.net> 1.0.0~b2-1
- Update to 1.0.0b2

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> 1.0.0~b1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Sep 27 2021 Major Hayden <major@mhtx.net> 1.0.0~b1-3
- Switch to rpmautospec

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> 1.0.0~b1-2
- Move obsoletes into subpackage

* Tue Sep 07 2021 Major Hayden <major@mhtx.net> 1.0.0~b1-1
- Update to 1.0.0

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> 0.5.0-3
- Remove python version macros

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Major Hayden <major@mhtx.net> 0.5.0-1
- Initial import (#1971861)
